Update domain registrant contact
curl --request PATCH \
--url https://api.bizzyco.ai/v1/domains/{id}/registration/contact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"organizationName": "<string>",
"jobTitle": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"stateProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"email": "[email protected]",
"phone": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
firstName: '<string>',
lastName: '<string>',
organizationName: '<string>',
jobTitle: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
stateProvince: '<string>',
postalCode: '<string>',
country: '<string>',
email: '[email protected]',
phone: '<string>'
})
};
fetch('https://api.bizzyco.ai/v1/domains/{id}/registration/contact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/domains/{id}/registration/contact"
payload = {
"label": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"organizationName": "<string>",
"jobTitle": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"stateProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"email": "[email protected]",
"phone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/domains/{id}/registration/contact"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"organizationName\": \"<string>\",\n \"jobTitle\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"stateProvince\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"[email protected]\",\n \"phone\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"autoRenew": true,
"whoisPrivacy": true,
"transferLock": true,
"periodYears": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Domains
Update domain registrant contact
Update the stored registrant contact fields
PATCH
/
v1
/
domains
/
{id}
/
registration
/
contact
Update domain registrant contact
curl --request PATCH \
--url https://api.bizzyco.ai/v1/domains/{id}/registration/contact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"organizationName": "<string>",
"jobTitle": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"stateProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"email": "[email protected]",
"phone": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
firstName: '<string>',
lastName: '<string>',
organizationName: '<string>',
jobTitle: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
stateProvince: '<string>',
postalCode: '<string>',
country: '<string>',
email: '[email protected]',
phone: '<string>'
})
};
fetch('https://api.bizzyco.ai/v1/domains/{id}/registration/contact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/domains/{id}/registration/contact"
payload = {
"label": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"organizationName": "<string>",
"jobTitle": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"stateProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"email": "[email protected]",
"phone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/domains/{id}/registration/contact"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"organizationName\": \"<string>\",\n \"jobTitle\": \"<string>\",\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"stateProvince\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"[email protected]\",\n \"phone\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"autoRenew": true,
"whoisPrivacy": true,
"transferLock": true,
"periodYears": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
API key authentication via Bearer token
Path Parameters
Domain UUID
Body
application/json
Required string length:
1 - 120Required string length:
1 - 120Required string length:
1 - 120Required string length:
1 - 160Required string length:
1 - 160Required string length:
1 - 160Required string length:
1 - 160Required string length:
1 - 120Required string length:
1 - 120Required string length:
1 - 40Required string length:
2Required string length:
1 - 80Last modified on August 9, 2026
⌘I